<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="post">
            <h2><span>Post</span> {{post.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span>Title</span></dt>
                <dd>
                    <span>{{post.title}}</span>
                </dd>
                <dt><span>Body</span></dt>
                <dd>
                    <span>{{post.body}}</span>
                </dd>
                <dt><span>Image</span></dt>
                <dd>
                    <div *ngIf="post.image">
                        <a (click)="openFile(post.imageContentType, post.image)">
                            <img [src]="'data:' + post.imageContentType + ';base64,' + post.image" style="max-width: 100%;" alt="post image"/>
                        </a>
                        {{post.imageContentType}}, {{byteSize(post.image)}}
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/post', post.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span> Edit</span>
            </button>
        </div>
    </div>
</div>
